import { createGlobalState,useLocalStorage } from '@vueuse/core'
export const authStore = createGlobalState(() => {
    const token=useLocalStorage('token','')
    const RefreshToken=useLocalStorage('RefreshToken','')
    const userInfo=useLocalStorage('userInfo',{})
    const fingerprint=useLocalStorage('fingerprint','')
    const checkoutSessionUrl=useLocalStorage('checkoutSessionUrl','')
    const selectedZone=useLocalStorage('selectedZone','')
    const payment=useLocalStorage('payment',{
        leftPrice:'',
        leftCurrency:'',
        buyUid:'',
        auctionArtworkUuid:''
    })

    return{
        selectedZone,
        payment,
        checkoutSessionUrl,
        userInfo,
        RefreshToken,
        token,
        fingerprint
    }
})